Subject: Feature-request: Customizable kerberos ticket cache location

From: Florian Oppermann <[email-masked]>
Date: Wed, 12 May 2021 09:19:19 +0200

Package: x2goclient
Version: 4.1.2.2

Current situation: Authentication via kerberos puts the credential cache 
into $HOME/.x2go/C-$sessionId/krb5cc. In our system this is problematic 
as access to $HOME requires a valid kerberos ticket, i.e. once the 
ticket expires it can’t be renewed from within the X2Go session because 
access to the ticket cache is denied. For normal logins, the krb5cc is 
located at /tmp which prevents this problem. I’d appreciate an option to 
set the location where to put the ticket cache.

I believe the current behaviour comes from src/onmainwindow.cpp:7332 
where the location is more or less hard-coded. My suggestion would be to 
add either a configuration option in the GUI or at least a command line 
switch to change this location. I’m not familiar enough with the code to 
provide a patch but I think it should be not too difficult.

Thanks for all your great work! :-)